Summary:	Samba share browser
Name:		LinNeighborhood
Version:	0.6.5
Release:	%mkrel 10
License:	GPL
Group:		Networking/Other
URL:		http://www.bnro.de/~schmidjo/
Source:		http://www.bnro.de/~schmidjo/download/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source4:	http://c64.rulez.org/~lion/LinNeighborhood-0.6.5-hu_HU.po.gz
Patch0:		%{name}-0.6.5.smb3.patch
BuildRequires:	libgtk+-devel >= 1.2
Requires:	samba-client
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LinNeighborhood is a front end to Samba using the gtk libraries. 

%prep

%setup -q 
%patch0 -p1
zcat %{SOURCE4} > po/hu.po
sed -i -e 's,zh_TW,zh_TW hu,g' configure

%build
%configure
%make

%install
rm -rf %{buildroot}

%makeinstall

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}

install -m0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(LinNeighborhood): \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="x11" \
title="%{name}" \
section="Internet/File transfer" \
longtitle="Graphical front end to Samba (LinNeighborhood)" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=LinNeighborhood
Comment=Graphical front end to Samba (LinNeighborhood)
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;
EOF

%find_lang %{name}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog BUGS INSTALL CONFIGURATION README* TODO THANKS ABOUT-NLS
%{_bindir}/LinNeighborhood
%{_datadir}/icons/LinNeighborhood.xpm
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/LinNeighborhood
%{_datadir}/applications/*.desktop




%changelog

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-10mdv2007.1
+ Revision: 145715
- Import LinNeighborhood

* Sun Mar 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-10mdv2007.1
- use the %%mrel macro
- bunzip patches
- fix xdg menu

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.5-9mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.5-8mdk
- Rebuild

* Tue Jul 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.5-7mdk
- Rebuild
- %%mkrel 
- make rpmbuildupdate happy

* Wed Jun 09 2004 Buchan Milne <bgmilne@linux-mandrake.co> 0.6.5-6mdk
- add hu translation provided by Ferenc Veres

